"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.copyCodePlugin = void 0;
const utils_1 = require("@vuepress/utils");
const defaultOptions = {
    selector: '.theme-default-content div[class*="language-"] pre',
    duration: 1500,
    delay: 500,
    showInMobile: false,
};
const defaultLocalesOption = {
    '/zh/': {
        hint: '复制成功',
        copy: '复制代码',
    },
    '/en/': {
        hint: 'Copied successfully',
        copy: 'Copy code',
    },
};
const copyCodePlugin = (options) => {
    const locales = options.locales || {};
    delete options.locales;
    options = Object.assign({}, defaultOptions, options);
    const localesOption = Object.assign({}, defaultLocalesOption, locales);
    return {
        name: '@vuepress-plume/vuepress-plugin-copy-code',
        define: () => ({
            __COPY_CODE_OPTIONS__: options,
            __COPY_CODE_LOCALES_OPTIONS__: localesOption,
        }),
        clientConfigFile: utils_1.path.resolve(__dirname, '../client/clientConfig.js'),
    };
};
exports.copyCodePlugin = copyCodePlugin;
